Storyden
Likes

Like Profile Get

Retreives all the likes that the given profile has given.

GET
/likes/profiles/{account_handle}

Retreives all the likes that the given profile has given.

Authorization

cookiestoryden-session<token>

Path Parameters

account_handle*string

Account handle.

Query Parameters

page?string

Pagination query parameters.

Response Body

Likes that an account has given.

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
likes*array<>
Example Request
curl -X GET 'https://example.com/api/likes/profiles/southclaws'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "likes": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "item": {        "kind": "post",        "ref": {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "title": "string",          "description": "string",          "slug": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          },          "visibility": "draft",          "assets": [            {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            }          ],          "reacts": [            {              "id": "string",              "emoji": "string",              "author": {                "id": "string",                "joined": "2019-08-24T14:15:22Z",                "suspended": "2019-08-24T14:15:22Z",                "handle": "string",                "name": "string",                "signature": "string",                "roles": [                  {                    "badge": true,                    "default": true,                    "id": "string",                    "name": "string",                    "colour": "string",                    "meta": {}                  }                ]              }            }          ],          "collections": {            "in_collections": 0,            "has_collected": true          },          "likes": {            "likes": 0,            "liked": true          },          "meta": {},          "body": "string",          "body_links": [            {              "id": "string",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "deletedAt": "2019-08-24T14:15:22Z",              "misc": {},              "url": "string",              "slug": "string",              "domain": "string",              "title": "string",              "description": "string",              "favicon_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "primary_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "liveness_status": "unknown",              "liveness_checked_at": "2019-08-24T14:15:22Z",              "scrape_status": "pending",              "scrape_attempted_at": "2019-08-24T14:15:22Z",              "scraped_at": "2019-08-24T14:15:22Z"            }          ]        }      }    }  ]}